SWDTeam Forums

Welcome to the SWDTeam forums. Enjoy your stay!, Thank you for being part of our community!

Forge version help

I can't seem to find the proper forge version for the server and for the Dalek mod? anyone mind helping.

 I believe you are using an outdated version of Minecraft. Please, attempt again with the correct version. Adieu! 

Ah, never mind. It would appear that the version you are using does not exist. Have you deleted the said version?

You should check your files, see if it is there. If it is, then you are trying to launch the game with the wrong version. You should make sure that you are indeed trying to launch the correct version.

You must be logged in to post.

Contact us

support@swdteam.com